Bug 622503 - Asking for password is not user-friendly
Summary: Asking for password is not user-friendly
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-09 14:43 UTC by Kamil Páral
Modified: 2012-02-29 14:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-29 14:21:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example dialog (43.11 KB, image/png)
2010-08-09 14:43 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2010-08-09 14:43:10 UTC
Created attachment 437616 [details]
example dialog

Description of problem:
For an encrypted connection (WPA2 Enterprise in my case) one can check "ask for this password everytime". That is fine, but:

1. A whole dialog is opened, instead of just asking for the password (with some option to show the whole dialog).
2. Password field does not have focus, so you must traverse all the items by keyboard or select it by mouse.
3. Text in password field is not selected, you must delete it before you can start writing new password. The whole text should be pre-selected so it can be overwritten easily.

Fixing #2 and #3 is a matter of a few one-line patches, but it will improve user experience greatly. #1 is a more difficult task, but it could also help.

Please fix those problems, thanks.

Version-Release number of selected component (if applicable):
NetworkManager-vpnc-0.8.1-1.fc13.x86_64
NetworkManager-openvpn-0.8.1-0.1.git20100609.fc13.x86_64
NetworkManager-glib-0.8.1-1.fc13.x86_64
NetworkManager-0.8.1-1.fc13.x86_64
NetworkManager-gnome-0.8.1-1.fc13.x86_64

How reproducible:
always

Comment 1 Bug Zapper 2011-06-01 11:48:47 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Kamil Páral 2011-06-01 12:43:25 UTC
Same problem at Fedora 14.

Comment 3 Jirka Klimes 2011-06-23 14:52:44 UTC
Fix pushed upstream: 089b982f013bf6469c6b7aba8fc2515fb90edf29 (NMA_0_8)

For F15, it's eb2828fd6338dcb3bda53e8007163edbdd392eda (master) and is already included in latest update: NetworkManager-0.8.9997-4.git20110620.fc15

Comment 4 Kamil Páral 2012-02-29 14:21:26 UTC
Confirmed fixed in F16.


Note You need to log in before you can comment on or make changes to this bug.